
QGIS Application - Bug report #1944

Cannot upload more than one changed node with OSM provider

2009-09-22 02:06 PM - morb -

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 12004

Description

After having downloaded a small area of [[OpenStreetMap]] data (about 100 features), making one change (say a polygon or line),

uploading does not work as expected.

The first node in the upload set does happen to get uploaded (confirmed on a requery of the area), but no other changes are applied. 

Therefore listed as priority = data corruption.

Running on Windows XP, version 1.3.0 Mimas.

A Python error is also displayed as follows:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/Program Files/qgis1.3.0/./python/plugins\\osm\\OsmUploadDlg.py", line 1089, in +httpNodeAdditionReqFinished

  File "C:/Program Files/qgis1.3.0/./python/plugins\\osm\\OsmDatabaseManager.py", line 2378, in updateNodeId

  File "C:/Program Files/qgis1.3.0/./python/plugins\\osm\\OsmDatabaseManager.py", line 2503, in commit

[[OperationalError]]: SQL logic error or missing database

Python version:

2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

Python path:['D:/Program Files/Quantum GIS Mimas/./python', 'C:/Documents and Settings/james/.qgis//python/plugins',

'D:/Program Files/Quantum GIS Mimas/./python/plugins', 'D:\\\\Program Files\\\\Quantum GIS Mimas\\\\bin\\\\python25.zip',

'C:\\\\Python25\\\\Lib', 'C:\\\\Python25\\\\DLLs', 'C:\\\\Python25\\\\Lib\\\\lib-tk', 'D:\\\\Program Files\\\\Quantum GIS Mimas',

'D:\\\\Program Files\\\\Quantum GIS Mimas\\\\bin', 'C:\\\\Python25', 'C:\\\\Python25\\\\lib\\\\site-packages',

'C:\\\\Python25\\\\lib\\\\site-packages\\\\PIL', 'C:\\\\Python25\\\\lib\\\\site-packages\\\\gtk-2.0', 'D:\\\\Program Files\\\\Quantum GIS

Mimas\\\\python\\\\plugins\\\\fTools\\\\tools']

History

#1 - 2010-10-23 01:11 AM - Paolo Cavallini

No further reports: is this confirmed?

#2 - 2011-03-03 02:05 PM - Volker Fröhlich

Problems are obviously still around for 1.6 in Windows. I didn't even manage to make any successful editing at all and finally also got one of these "SQL
logic" errors.

There also seems to be some super-aggressive snapping in Windows, although snapping is not active in project settings.

Removing the layers I got some "RTTI" message and crashed QGIS.

I also tried R15179 on Linux. Editing worked here, also no trace of that snapping. I didn't try to upload though.

#3 - 2011-03-14 10:56 AM - baditaflorin -

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:/PROGRA~1/QUANTU~1/apps/qgis/./python/plugins\\osm\\OsmUndoRedoDW.py", line 86, in currRowChanged

    self.goToAction(row)

  File "C:/PROGRA~1/QUANTU~1/apps/qgis/./python/plugins\\osm\\OsmUndoRedoDW.py", line 237, in goToAction

    self.dbm.commit()

  File "C:/PROGRA~1/QUANTU~1/apps/qgis/./python/plugins\\osm\\OsmDatabaseManager.py", line 2503, in commit

    self.getConnection().commit()

[[OperationalError]]: SQL logic error or missing database

Python version:

2.5.2 (commit:c5cd2930 (SVN r253):60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

QGIS version:

1.6.0-Capiapo Capiapo, exported

Python path: ['C:/PROGRA~1/QUANTU~1/apps/qgis/./python', 'C:/Documente/Mijloc/.qgis/python', 'C:/Documente/Mijloc/.qgis/python/plugins',

'C:/PROGRA~1/QUANTU~1/apps/qgis/./python/plugins', 'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\gdal-17\\\\pymod', 'C:\\\\Program Files\\\\Quantum GIS

Copiapo', 'C:\\\\PROGRA~1\\\\QUANTU~1\\\\bin\\\\python25.zip', 'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\DLLs',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib', 'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\plat-win',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\lib-tk', 'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\qgis\\\\bin',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25', 'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools',

'C:\\\\Documente\\\\Mijloc\\\\.qgis\\\\python\\\\plugins\\\\openlayersov\\\\logic', 'C:\\\\Documente\\\\Mijloc\\\\.qgis\\\\python\\\\plugins\\\\openlayersov\\\\gui']

#4 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-16 06:22 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0
#7 - 2013-03-12 04:29 PM - Martin Dobias

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to fixed

The new OpenStreetMap support coming in 2.0 does not allow editing and uploading of OSM data. The current plugin with editing support has been

removed.
